(*
/*

CLASS {Current_input_lang|uage_Pascal_win}, 
UNTESTED, NATIVE:

NATIVE: "uses Current_input_lang;" .
NATIVE: "///COPY Current_input_lang.pas" .

*/
*)

unit Current_input_lang;

interface

uses {$IFDEF LINUX}{$ELSE} Windows, {$ENDIF} AL4;

function Get_keyboard_layout: Integer;

implementation

function Get_keyboard_layout: Integer;
begin
	{$IFDEF LINUX}
	Result := 0;
	{$ELSE}
	Result := GetKeyboardLayout(
		    		GetWindowThreadProcessId(
		    			GetForegroundWindow(), nil));
	{$ENDIF}
end;

end.

(*
/*

FUNCTION Get|_current_language ==> INT,
NATIVE : @
"RESULT := Get_keyboard_layout;" .

END

*/
*)
       
